Bug 1655600 - [abrt] gnome-software: g_hash_table_remove_all_nodes(): gnome-software killed by SIGABRT
Summary: [abrt] gnome-software: g_hash_table_remove_all_nodes(): gnome-software killed...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:75bf058a3a2ab7199c3b8cac810...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 14:21 UTC by Duncan Grisby
Modified: 2018-12-22 03:02 UTC (History)
2 users (show)

Fixed In Version: gnome-software-3.30.6-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-22 03:02:13 UTC


Attachments (Terms of Use)
File: backtrace (43.36 KB, text/plain)
2018-12-03 14:21 UTC, Duncan Grisby
no flags Details
File: cgroup (196 bytes, text/plain)
2018-12-03 14:21 UTC, Duncan Grisby
no flags Details
File: core_backtrace (18.20 KB, text/plain)
2018-12-03 14:21 UTC, Duncan Grisby
no flags Details
File: cpuinfo (1.27 KB, text/plain)
2018-12-03 14:21 UTC, Duncan Grisby
no flags Details
File: dso_list (18.27 KB, text/plain)
2018-12-03 14:21 UTC, Duncan Grisby
no flags Details
File: environ (3.87 KB, text/plain)
2018-12-03 14:21 UTC, Duncan Grisby
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-03 14:21 UTC, Duncan Grisby
no flags Details
File: maps (111.23 KB, text/plain)
2018-12-03 14:21 UTC, Duncan Grisby
no flags Details
File: mountinfo (4.55 KB, text/plain)
2018-12-03 14:21 UTC, Duncan Grisby
no flags Details
File: open_fds (3.89 KB, text/plain)
2018-12-03 14:21 UTC, Duncan Grisby
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2018-12-03 14:21 UTC, Duncan Grisby
no flags Details

Description Duncan Grisby 2018-12-03 14:21:14 UTC
Description of problem:
Just after login, the ABRT notification popped up. I was not attempting to interact with gnome-software. It was just doing whatever it does in the background.

Version-Release number of selected component:
gnome-software-3.30.5-1.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: g_hash_table_remove_all_nodes
executable:     /usr/bin/gnome-software
journald_cursor: s=86d9c54c29094d41a5c189faf6e74773;i=413d432;b=4da59f2faf504afc87bf5036d3e24998;m=46a7c4e001;t=57c181df18f4c;x=95de946477a87797
kernel:         4.19.4-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Duncan Grisby 2018-12-03 14:21:19 UTC
Created attachment 1510922 [details]
File: backtrace

Comment 2 Duncan Grisby 2018-12-03 14:21:20 UTC
Created attachment 1510923 [details]
File: cgroup

Comment 3 Duncan Grisby 2018-12-03 14:21:21 UTC
Created attachment 1510924 [details]
File: core_backtrace

Comment 4 Duncan Grisby 2018-12-03 14:21:23 UTC
Created attachment 1510925 [details]
File: cpuinfo

Comment 5 Duncan Grisby 2018-12-03 14:21:24 UTC
Created attachment 1510926 [details]
File: dso_list

Comment 6 Duncan Grisby 2018-12-03 14:21:26 UTC
Created attachment 1510927 [details]
File: environ

Comment 7 Duncan Grisby 2018-12-03 14:21:27 UTC
Created attachment 1510928 [details]
File: limits

Comment 8 Duncan Grisby 2018-12-03 14:21:29 UTC
Created attachment 1510929 [details]
File: maps

Comment 9 Duncan Grisby 2018-12-03 14:21:30 UTC
Created attachment 1510930 [details]
File: mountinfo

Comment 10 Duncan Grisby 2018-12-03 14:21:31 UTC
Created attachment 1510931 [details]
File: open_fds

Comment 11 Duncan Grisby 2018-12-03 14:21:33 UTC
Created attachment 1510932 [details]
File: proc_pid_status

Comment 12 Kalev Lember 2018-12-03 15:58:10 UTC
Thanks, should be fixed upstream in https://gitlab.gnome.org/GNOME/gnome-software/commit/5d4c58db92934ed1d6770fe77cc22a7ce2daddbc

Comment 13 Fedora Update System 2018-12-19 03:36:43 UTC
PackageKit-1.1.12-2.fc29, gnome-software-3.30.6-1.fc29, libappstream-glib-0.7.14-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e0db56c00c

Comment 14 Fedora Update System 2018-12-22 03:02:13 UTC
PackageKit-1.1.12-2.fc29, gnome-software-3.30.6-1.fc29, libappstream-glib-0.7.14-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.